/* CCM19 overrides */

.ccm-plugin--script-placeholder[data-placeholder] div.map-placeholder,
.ccm-plugin--script-placeholder[data-placeholder] div.cookie-wrapper,
.ccm-plugin--script-placeholder[data-placeholder] div.youtube-placeholder {
  z-index: 2;
  color: #575757;
  background-color: #e3e3e3;
}
.ccm-plugin--script-placeholder:has(.youtube-placeholder-inner) {
  z-index: 4;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}
.youtube-placeholder {
  height: 100%;
  width: 100%;
  padding: 2rem;
}
.flockler-placeholder {
  position: relative;
  padding: 2rem;
  height: 100%;
  min-height: 16rem;
}

.flockler:has(~ .ccm-plugin--script-placeholder) {
    padding: 0;
}

@media screen and (max-width: 767px) {
  .youtube-placeholder-inner {
    max-height: 80%;
    overflow-y: auto;
  }
}

.map-placeholder-inner h2,
.youtube-placeholder-inner h2,
.cookie-wrapper-inner h2 {
  font-family: poppins-semibold, sans-serif;
  font-weight: 600;
  @media screen and (min-width: 768px) {
    font-size: 20px;
  }
  @media screen and (min-width: 992px) {
    font-size: 24px;
  }
  @media screen and (min-width: 1200px) {
    font-size: 27px;
  }
}

.youtube-placeholder-inner button {
  margin-bottom: 6px;
  margin-right: 6px;
}

.map-placeholder-inner button:last-child,
.youtube-placeholder-inner button:last-child,
.cookie-wrapper-inner button:last-child {
  background-color: white;
  color: #575757;
}

.map-placeholder-inner button:last-child:before,
.youtube-placeholder-inner button:last-child:before,
.cookie-wrapper-inner button:last-child:before {
  background-image: url("data:image/svg+xml;charset=utf-8,%3Csvg fill='%23575757' width='7' height='10' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M5.946 4.42c.407.307.407.836 0 1.16L.72 9.845c-.387.324-.719.119-.719-.48V.632C0 .033.332-.172.719.152L5.943 4.42h.003Z'/%3E%3C/svg%3E");
}

.simple-map-wrap .ccm-plugin--script-placeholder .container {
  height: 100%;
}
.simple-map-wrap .ccm-plugin--script-placeholder .map-placeholder-inner {
  max-height: 80%;
  overflow-y: auto;
  padding-top: 2rem;
}

iframe {
  border: none;
}
